/*
 * TransferableObject.java
 *
 * Created on 14 novembre 2003, 0.54
 */

package it.businesslogic.ireport.gui.dnd;

/**
 *
 * @author  Administrator
 */
public class TransferableObject implements java.awt.datatransfer.Transferable {
    
    Object obj;
    java.awt.datatransfer.DataFlavor thisFlavor;
    /** Creates a new instance of TransferableObject */
    public TransferableObject(Object obj) {
        this.obj = obj;
        thisFlavor = new java.awt.datatransfer.DataFlavor(obj.getClass(), obj.getClass().getName());
    }
    
    public Object getTransferData(java.awt.datatransfer.DataFlavor flavor) throws java.awt.datatransfer.UnsupportedFlavorException, java.io.IOException {
        if (flavor.equals( thisFlavor ))
        {
            return obj;
       }
       return null;
    }
    
    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors() {
        return new java.awt.datatransfer.DataFlavor[]{thisFlavor};
    }
    
    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor) {
        if (flavor != null && flavor.equals( thisFlavor ))
        {
            return true;
        }
        
        return false;
    }
    
}
